<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>My Tasks</title>
    </head>
    <body>
        <header>
            <main>
                <nav>
                    <ul>
                        {% if user.is_authenticated %}
                            <li>
                                <a href="{% url 'show_my_tasks' %}">My Tasks</a>
                            </li>
                            <li>
                                <a href="{% url 'list_projects' %}">My Projects</a>
                            </li>
                            <li>
                                <a href="{% url 'logout' %}">Logout</a>
                            </li>
                        {% else %}
                            <li>
                                <a href="{% url 'login' %}">Login</a>
                            </li>
                            <li>
                                <a href="{% url 'signup' %}">Signup</a>
                            </li>
                        {% endif %}
                    </ul>
                </nav>
            </header>
            <div>
                <h1>My Tasks</h1>
                {% if tasks %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Start Date</th>
                                <th>Due Date</th>
                                <th>Is completed</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for task in tasks %}
                                <tr>
                                    <td>{{ task.name }}</td>
                                    <td>{{ task.start_date }}</td>
                                    <td>{{ task.due_date }}</td>
                                    <td>{{ task.is_completed|yesno:"yes,no" }}</td>
                                </tr>
                            {% endfor %}
                        {% else %}
                            <p>You have no tasks</p>
                        </tbody>
                    </table>
                {% endif %}
            </div>
        </main>
    </body>
</html>
